;==============================================================================

; file: "_nonstd#.scm"

; Copyright (C) 1994-2000 by Marc Feeley, All Rights Reserved.

;==============================================================================

; Error handling.

(##define-macro (macro-check-will var form expr)
  (define (flat x) (if (pair? x) (cons (car x) (flat (cdr x))) (list x)))
  `(macro-if-checks
     (if (##will? ,var)
       ,expr
       ,(if (list? form)
          `(##trap-check-will ',(car form) ,@(cdr form))
          `(##trap-check-will* ',(car form) ,@(flat (cdr form)))))
     ,expr))

;==============================================================================
