/* file: "setup.h" */

/* Copyright (C) 1994-2000 by Marc Feeley, All Rights Reserved. */

#ifndef ___SETUP_H
#define ___SETUP_H

#if 0
#define CALL_HANDLER_AT_EVERY_POLL
#define CALL_GC_FREQUENTLY
#endif

extern ___setup_params_struct ___setup_params; /* params passed to ___setup */

extern ___WORD ___symbol_table;
extern ___WORD ___keyword_table;
extern ___WORD ___arguments;
extern ___WORD ___exec_vector;

extern ___WORD ___load_object_file
   ___P((char *path,
         char **errmsg),
        ());

extern ___WORD ___find_symkey_from_schemestring
   ___P((___WORD str,
         unsigned int subtype),
        ());

extern ___WORD ___new_symkey
   ___P((___WORD name,
         unsigned int subtype),
        ());

#define ___COVER(n)
#define ___COVER_INTERNAL_RETURN_HANDLER_END                ___COVER(0)
#define ___COVER_BREAK_HANDLER_STACK_RETI                   ___COVER(1)
#define ___COVER_BREAK_HANDLER_STACK_RETN                   ___COVER(2)
#define ___COVER_BREAK_HANDLER_STACK_FIRST_FRAME            ___COVER(3)
#define ___COVER_BREAK_HANDLER_STACK_NOT_FIRST_FRAME        ___COVER(4)
#define ___COVER_BREAK_HANDLER_HEAP_RETI                    ___COVER(5)
#define ___COVER_BREAK_HANDLER_HEAP_RETN                    ___COVER(6)
#define ___COVER_STACK_LIMIT_HANDLER_STACK_LIMIT            ___COVER(7)
#define ___COVER_STACK_LIMIT_HANDLER_NEED_TO_GC             ___COVER(8)
#define ___COVER_STACK_LIMIT_HANDLER_HEAP_OVERFLOW          ___COVER(9)
#define ___COVER_STACK_LIMIT_HANDLER_INTR_ENABLED           ___COVER(10)
#define ___COVER_STACK_LIMIT_HANDLER_INTERRUPT              ___COVER(11)
#define ___COVER_STACK_LIMIT_HANDLER_OTHER_INTR             ___COVER(12)
#define ___COVER_STACK_LIMIT_HANDLER_END                    ___COVER(13)
#define ___COVER_HEAP_LIMIT_HANDLER_END                     ___COVER(14)
#define ___COVER_NON_PROC_HANDLER_END                       ___COVER(15)
#define ___COVER_GLOBAL_NON_PROC_HANDLER_FOUND              ___COVER(16)
#define ___COVER_GLOBAL_NON_PROC_HANDLER_NEXT               ___COVER(17)
#define ___COVER_GLOBAL_NON_PROC_HANDLER_END                ___COVER(18)
#define ___COVER_WRONG_NARGS_HANDLER_NON_CLOSURE            ___COVER(19)
#define ___COVER_WRONG_NARGS_HANDLER_CLOSURE                ___COVER(20)
#define ___COVER_REST_PARAM_HANDLER_WRONG_NARGS             ___COVER(21)
#define ___COVER_REST_PARAM_HANDLER_HEAP_LIMIT              ___COVER(22)
#define ___COVER_REST_PARAM_HANDLER_NEED_TO_GC              ___COVER(23)
#define ___COVER_REST_PARAM_HANDLER_NO_NEED_TO_GC           ___COVER(24)
#define ___COVER_KEYWORD_PARAM_HANDLER_WRONG_NARGS1         ___COVER(25)
#define ___COVER_KEYWORD_PARAM_HANDLER_FOUND                ___COVER(26)
#define ___COVER_KEYWORD_PARAM_HANDLER_NOT_FOUND            ___COVER(27)
#define ___COVER_KEYWORD_PARAM_HANDLER_WRONG_NARGS2         ___COVER(28)
#define ___COVER_KEYWORD_PARAM_HANDLER_END                  ___COVER(29)
#define ___COVER_KEYWORD_REST_PARAM_HANDLER_WRONG_NARGS1    ___COVER(30)
#define ___COVER_KEYWORD_REST_PARAM_HANDLER_FOUND           ___COVER(31)
#define ___COVER_KEYWORD_REST_PARAM_HANDLER_NOT_FOUND       ___COVER(32)
#define ___COVER_KEYWORD_REST_PARAM_HANDLER_WRONG_NARGS2    ___COVER(33)
#define ___COVER_KEYWORD_REST_PARAM_HANDLER_HEAP_LIMIT      ___COVER(34)
#define ___COVER_KEYWORD_REST_PARAM_HANDLER_NEED_TO_GC      ___COVER(35)
#define ___COVER_KEYWORD_REST_PARAM_HANDLER_NO_NEED_TO_GC   ___COVER(36)
#define ___COVER_FORCE_HANDLER_DETERMINED                   ___COVER(37)
#define ___COVER_FORCE_HANDLER_NOT_DETERMINED               ___COVER(38)
#define ___COVER_CLAM_CONV_ERROR_HANDLER                    ___COVER(39)
#define ___COVER_CDEF_CONV_ERROR_HANDLER                    ___COVER(40)
#define ___COVER_RETURN_TO_C_HANDLER_FIRST_RETURN           ___COVER(41)
#define ___COVER_RETURN_TO_C_HANDLER_MULTIPLE_RETURN        ___COVER(42)
#define ___COVER_REST_PARAM_RESUME_PROCEDURE                ___COVER(43)
#define ___COVER_GC_WITHOUT_EXCEPTIONS                      ___COVER(44)
#define ___COVER_APPLY_ARG_LIMIT                            ___COVER(45)
#define ___COVER_APPLY_ARG_LIMIT_END                        ___COVER(46)
#define ___COVER_MARK_CAPTURED_CONTINUATION_RETI ___COVER(0)
#define ___COVER_MARK_CAPTURED_CONTINUATION_RETN ___COVER(0)
#define ___COVER_MARK_CAPTURED_CONTINUATION_ALREADY_COPIED ___COVER(0)
#define ___COVER_MARK_CAPTURED_CONTINUATION_COPY ___COVER(0)
#define ___COVER_MARK_CAPTURED_CONTINUATION_FIRST_FRAME ___COVER(0)
#define ___COVER_MARK_CAPTURED_CONTINUATION_NOT_FIRST_FRAME ___COVER(0)
#define ___COVER_MARK_CONTINUATION_RETI ___COVER(0)
#define ___COVER_MARK_CONTINUATION_RETN ___COVER(0)
#define ___COVER_SCAN_FRAME_RETI ___COVER(0)
#define ___COVER_SCAN_FRAME_RETN ___COVER(0)

#endif
